Package org.apache.wiki.filters

## Class CreoleFilter

- java.lang.Object
- - org.apache.wiki.api.filters.BasePageFilter
  - - org.apache.wiki.filters.CreoleFilter

All Implemented Interfaces:
  `PageFilter`

    public class CreoleFilter
    extends BasePageFilter

Provides the Implementation for mixed mode creole: If you activate this filter, it will translate all markup that was saved as creole markup to JSPWiki markup. Therefore the files will be saved with mixed markup.

WARNING: There's no turning back after installing this filter. Since your wiki pages are saved in Creole markup you can not deactivate it afterwards.

WARNING: This feature is completely experimental, and is known to be broken. Use at your own risk.

WARNING: The CreoleFilter feature is deprecated. JSPWiki is likely to implement a non-mixed mode Creole at some point, since turning on Creole will make new pages obsolete.

See Also:
  [[WikiCreole:MixedMode]]

### Field Summary

### Fields inherited from class org.apache.wiki.api.filters.BasePageFilter

`m_engine`

### Constructor Summary

Constructors
`CreoleFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `initialize​(Engine engine, java.util.Properties props)`
`java.lang.String` `preSave​(Context wikiContext, java.lang.String content)`
`java.lang.String` `preTranslate​(Context wikiContext, java.lang.String content)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.wiki.api.filters.PageFilter

`destroy, postSave, postTranslate`

### Constructor Detail

#### CreoleFilter

    public CreoleFilter()

### Method Detail

#### initialize

    public void initialize​(Engine engine,
                           java.util.Properties props)
                    throws FilterException

Specified by:
  `initialize` in interface `PageFilter`
Overrides:
  `initialize` in class `BasePageFilter`
Throws:
  `FilterException`

#### preSave

    public java.lang.String preSave​(Context wikiContext,
                                    java.lang.String content)

#### preTranslate

    public java.lang.String preTranslate​(Context wikiContext,
                                         java.lang.String content)